part of '../dashboard_page.dart';

extension NormalLayoutDashboardPage on DashboardPageState {
  Widget _buildNormalContent(AmbitoTheme theme) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        SizedBox(
          width: 532,
          child: _bioDiversityPart(theme),
        ),
        const Spacer(),
        SizedBox(
          width: 532,
          height: 532,
          child: mapWidget,
        ),
      ],
    );
  }

  Widget _buildNormalCard(
      Color background, String image, String title, String link) {
    final AmbitoTheme theme = getTheme(context);

    return InkWell(
      onHover: (hovered) {},
      highlightColor: Colors.transparent,
      splashColor: Colors.transparent,
      focusColor: Colors.transparent,
      hoverColor: Colors.transparent,
      onTap: () {
        Get.toNamed(link);
      },
      child: SizedBox(
        width: 262,
        height: 250,
        child: Card(
          elevation: 0,
          color: const Color(0xff666666).withValues(alpha: .1),
          child: Column(
            children: [
              ClipRRect(
                borderRadius: BorderRadius.circular(4.0),
                child: Image.asset(
                  image,
                ),
              ),
              Expanded(
                child: Center(
                  child: Text(
                    title,
                    textAlign: TextAlign.center,
                    style: theme.currentThemeData.textTheme.headlineSmall
                        ?.copyWith(
                      color: const Color(0xFF666666),
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
